Come installare Code :: Blocks IDE?

20

Sto usando Ubuntu a 64 bit e voglio installare l'IDE di Code :: Blocks. C'è qualche repository?

    
posta Namshum 10.10.2012 - 08:24

8 risposte

10
  

Code :: Blocks è un ambiente di sviluppo integrato multipiattaforma   (IDE). Si basa su un framework di plugin auto-sviluppato che consente   estensibilità illimitata. La maggior parte delle sue funzionalità è già fornita   dai plugin. I plugin inclusi nel pacchetto base sono:

     
  • Interfaccia del compilatore per molti compilatori gratuiti
  •   
  • Frontend di debugger per GDB (e CDB per piattaforme Windows)
  •   
  • Formattatore sorgente (basato su AStyle)
  •   
  • Procedura guidata per creare nuove classi C ++
  •   
  • Codice completamento / simboli-browser (lavori in corso)
  •   
  • Gestore MIME predefinito
  •   
  • Procedura guidata per creare nuovi plugin Code :: Blocks
  •   
  • Elenco delle cose da fare
  •   
  • Procedura guidata estensibile basata su script
  •   
  • Salvataggio automatico (salva il tuo lavoro nello sfortunato caso di un incidente) 1
  •   

Per scaricare e installare clicca l'immagine qui sotto.

1 Fonte: directory delle app di Ubuntu

    
risposta data Mitch 10.10.2012 - 08:32
20

È disponibile nel Software Center.

Apri il Ubuntu Software Center e cerca il suo nome.

O installa tramite il terminale:

sudo apt-get install codeblocks
    
risposta data user61928 10.10.2012 - 08:29
13

Dal sito Web Code :: Blocks, la pagina di download per Linux rimanda al codice :: Blocks Release Build PPA , che è probabilmente il modo più semplice per installare una versione di Code :: Blocks ragionevolmente aggiornata. Per installare Code :: Blocks dal suddetto PPA, effettuare le seguenti operazioni:

sudo add-apt-repository ppa:damien-moore/codeblocks-stable
sudo apt-get update
sudo apt-get install codeblocks
    
risposta data edwinksl 05.07.2016 - 01:23
3

Puoi installare CodeBlocks usando il seguente comando:

sudo apt-get install codeblocks
    
risposta data Suraj Dubey 27.03.2015 - 18:13
1

Se hai intenzione di sviluppare su ubuntu è utile imparare come compilare il codice dalla riga di comando ... anche l'IDE di blocchi di codice

scarica il codice sorgente

link

seleziona il file simile a codeblocks_16.01.tar.gz

cd in cui si desidera espandere il tarball e il problema

tar xvf /path/to/codeblocks_16.01.tar.gz

cd codeblocks-16.01.release

autoreconf -fi  #  
./configure  #  standard check to confirm your have necessary libs
make -j4   # actual compile and link step
sudo make install  # install binary and its libs
sudo ldconfig  # this registers your new libs

ora è installato ... vai avanti e lancia

codeblocks   #  Voila you have launched your new IDE

Se sopra ci sono errori probabilmente devi ancora installare dipendenze upstream ... se così può essere utile

sudo apt-get install build-essential 
sudo apt-get install -y libwxbase3.0-0v5 libwxbase3.0-dev libwxgtk3.0-dev wx3.0-headers wx-common
sudo apt-get build-dep codeblocks 
    
risposta data Scott Stensland 04.07.2016 - 20:10
1

Suggerisco di usare la versione più recente di "Jens" Anche se non è ufficiale, possiamo ottenere tutte le versioni. Puoi anche scegliere repositury o just'deb 'file.

link

Per la versione stabile, aggiungi queste due righe al file sources.list e aggiorna l'indice del pacchetto

deb [arch=amd64,i386] https://apt.jenslody.de/stable jessie main
deb-src https://apt.jenslody.de/stable jessie main

Quindi installa i codici. Testato su Ubuntu 12.04 - sia a 32 che a 64 bit.

    
risposta data user160810 22.05.2013 - 11:10
0

Puoi provare a installare i pacchetti manualmente. Connessione via FTP agli archivi con il tuo file manager. O scaricare manualmente dal sito nel link sottostante.

In alternativa installalo tramite GUI con GDEBI facendo clic su ogni file deb che indicherà se manca un altro pacchetto / dipendenza, quindi installa quello primo. Puoi iniziare con Codeblocks e GDEBI indicherà i pacchetti direttamente correlati e lo seguirai evitando di perderti nelle dipendenze.

Non so se è possibile creare un'associazione di file per fare clic e attivare GDEBI direttamente dal browser.

FTP: archivi

Il server è: ftp.archive.ubuntu.com

E il percorso per Codeblocks è: ubuntu / ubuntu / pool / universe / c / codeblocks

In un tipo di terminale: ftp

Poi arriva il comando

ftp> open ftp.archive.ubuntu.com
user
anonymous
>Type password
"leave blank"
cd ubuntu/ubuntu/pool/universe/c/codeblocks
get *.deb

I file verranno salvati in HOME

cancella DEB dell'architettura indesiderata

Salva questo script:

#!/bin/bash
# Reference
# http://www.cyberciti.biz/faq/bash-for-loop/
# https://www.dbsysnet.com/2015/12/using-bash-arrays-with-examples
BLOCKS=( hello young flying sun you don look old at all);
for LIST in 0 1 2 3 4 5 6 7 8 9 10 11 12
do
    echo ${BLOCKS[LIST]};
done;

Puoi verificare le risposte su come usare lo script, renderlo eseguibile ed eseguirlo da HOME .

Sostituisci echo con il comando bash per installare i pacchetti:

dpkg -i ${BLOCKS[LIST]};

Modifica il messaggio dell'elenco con l'elenco di pacchetti per Codeblocks nella cartella HOME

ls *.deb

Trova il numero di pacchetti nell'elenco di 12 elementi

Se 20 elementi allora 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20

    
risposta data userDepth 05.07.2016 - 00:12
0

Tutto ciò che devi fare è eseguire:

sudo apt-get update

quindi

sudo apt-get upgrade

e poi

sudo apt-get install codeblocks

Il tuo elenco di repository non è aggiornato, hai ricevuto il suggerimento di aggiornamento da Ubuntu. Se vuoi essere programmatore Linux ti sto raccomandando di ottenere la conoscenza di LPIC-1 prima di iniziare. È fondamentale comprendere le basi di questo sistema per codificarlo.

    
risposta data Kamil Kurzynowski 25.07.2016 - 17:34

Leggi altre domande sui tag